Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile
Class CharRecordOutput

    java.lang.Object
      com.servingxml.components.flatfile.CharRecordOutput

All Implemented Interfaces:
  RecordOutput

    public class CharRecordOutput

extends java.lang.Object
implements RecordOutput

Constructor Summary
`CharRecordOutput(java.nio.charset.Charset charset, char padByte)`

Method Summary
`void` | `clear()`
`int` | `getPosition()`
`int` | `getSize()`
`void` | `pushBack(char[] sequence)`
`void` | `setPosition(int position)`
`byte[]` | `toByteArray()`
`char[]` | `toCharArray()`
`void` | `writeByte(byte value)`
`void` | `writeBytes(byte[] value)`
`void` | `writeCharacters(char[] value)`
`void` | `writeString(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharRecordOutput

    public CharRecordOutput(java.nio.charset.Charset charset,
                            char padByte)

Method Detail

### toByteArray

    public byte[] toByteArray()

  Specified by:
    `toByteArray` in interface `RecordOutput`

### toCharArray

    public char[] toCharArray()

  Specified by:
    `toCharArray` in interface `RecordOutput`

### writeBytes

    public void writeBytes(byte[] value)

  Specified by:
    `writeBytes` in interface `RecordOutput`

### writeByte

    public void writeByte(byte value)

  Specified by:
    `writeByte` in interface `RecordOutput`

### writeCharacters

    public void writeCharacters(char[] value)

  Specified by:
    `writeCharacters` in interface `RecordOutput`

### pushBack

    public void pushBack(char[] sequence)

  Specified by:
    `pushBack` in interface `RecordOutput`

### writeString

    public void writeString(java.lang.String s)

  Specified by:
    `writeString` in interface `RecordOutput`

### setPosition

    public void setPosition(int position)

  Specified by:
    `setPosition` in interface `RecordOutput`

### getPosition

    public int getPosition()

  Specified by:
    `getPosition` in interface `RecordOutput`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `RecordOutput`

### clear

    public void clear()

  Specified by:
    `clear` in interface `RecordOutput`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD